Bug 12068 - sc_IT: misspelled yesexpr/day/abday/mon/abmon/date_fmt fields
Summary: sc_IT: misspelled yesexpr/day/abday/mon/abmon/date_fmt fields
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: localedata (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: 2.26
Assignee: Mike FABIAN
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-28 09:28 UTC by massimeddu
Modified: 2017-07-21 10:52 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Last reconfirmed:
fweimer: security-


Attachments
The patch that fix the misspelled words (1.22 KB, patch)
2010-10-02 15:55 UTC, massimeddu
Details | Diff
The patch that fix the misspelled words (1.21 KB, patch)
2010-10-02 21:07 UTC, massimeddu
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description massimeddu 2010-09-28 09:28:56 UTC
The sardinian (sc_IT) locale strings are misspelled, because don't follow the
recent standardization of sardinian.
Comment 1 massimeddu 2010-10-02 15:55:59 UTC
Created attachment 5027 [details]
The patch that fix the misspelled words

The patch that fix the misspelled words, according to the LSC sardinian writing
standard, and fix also the data_fmt string. Please commit.
Comment 2 massimeddu 2010-10-02 21:07:31 UTC
Created attachment 5028 [details]
The patch that fix the misspelled words

Sorry, just only a quick fix, for another misspelled month.

Now I think it's all ok, please commit.
Comment 3 Ulrich Drepper 2010-10-04 02:18:50 UTC
Where is the support for this change?  Provide links to official documentation.
Comment 4 massimeddu 2010-10-04 09:04:11 UTC
My patch follow the "Limba Sarda Comuna" (LSC) writing standard for sardinian.

You can check the official documentation from the official site of the regional
government of Sardinia:

in Sardinian http://www.sardegnacultura.it/j/v/258?s=26590&v=2&c=28307&t=7
in Italian http://www.sardegnacultura.it/j/v/258?s=20340&v=2&c=2730&t=7
or in English (translated):
http://babelfish.yahoo.com/translate_url?doit=done&tt=url&intl=1&fr=bf-home&trurl=http%3A%2F%2Fwww.sardegnacultura.it%2Fj%2Fv%2F258%3Fs%3D20340%26v%3D2%26c%3D2730%26t%3D7&lp=it_en&btnTrUrl=Translate

I hope that it is enough, if not please ask me,

Thanks
Comment 5 Ulrich Drepper 2011-05-09 22:50:54 UTC
There is a recorded author for the locale file.  Ask him.
Comment 6 Mike FABIAN 2017-07-20 06:21:08 UTC
(In reply to massimeddu from comment #2)
> Created attachment 5028 [details]
> The patch that fix the misspelled words
> 
> Sorry, just only a quick fix, for another misspelled month.
> 
> Now I think it's all ok, please commit.

    --- a/localedata/locales/sc_IT	
    +++ a/localedata/locales/sc_IT	
    @@ -4,8 +4,8 @@ escape_char  /
     % Sardinian Language Locale for Italy
     % Language: sc
     % Territory: IT
    -% Revision: 0.1
    -% Date: 2004-05-26
    +% Revision: 0.2
    +% Date: 2010-10-02
     % Users: general
     % Charset: UTF-8
     % Distribution and use is free, also
    @@ -13,16 +13,16 @@ escape_char  /

     LC_IDENTIFICATION
     title      "Sardinian locale for Italy"
    -source     ""
    +source     "Sardinian Translators Team"
     address    ""
    -contact    "Pablo Saratxaga"
    -email      "pablo@mandriva.com"
    +contact    "Massimeddu Cireddu"
    +email      "massimeddu@gmail.com"
     tel        ""
     fax        ""
     language   "Sardinian"
     territory  "Italy"
    -revision   "0.1"
    -date       "2004-05-26"
    +revision   "0.2"
    +date       "2010-10-02"
     %
     category  "sc_IT:2000";LC_IDENTIFICATION
     category  "sc_IT:2000";LC_CTYPE
    @@ -60,7 +60,7 @@ reorder-end
     END LC_COLLATE

     LC_MESSAGES
    -yesexpr "^[sSjJoOyY].*"
    +yesexpr "^[eEaAsSoOyY].*"
     noexpr  "^[nN].*"
     END LC_MESSAGES

    @@ -75,41 +75,41 @@ END LC_NUMERIC
     LC_TIME
     abday   "Dom";"Lun";/
             "Mar";"Mèr";/
    -        "Jòb";"Cen";/
    +        "Giò";"Che";/
             "Sàb"
    -day     "Domìngu";/
    +day     "Domìnigu";/
             "Lunis";/
             "Martis";/
             "Mèrcuris";/
    -        "Jòbia";/
    -        "Cenàbara";/
    +        "Giòbia";/
    +        "Chenàbura";/
             "Sàbadu"
    -abmon   "Gen";"Fri";/
    +abmon   "Ghe";"Fre";/
             "Mar";"Abr";/
    -        "May";"Làm";/
    -        "Arj";"Aus";/
    +        "Maj";"Làm";/
    +        "Arg";"Aus";/
             "Cab";"Lad";/
    -        "Don";"Ida"
    -mon     "Gennarju";/
    -        "Friarju";/
    +        "Onn";"Nad"
    +mon     "Ghennàrgiu";/
    +        "Freàrgiu";/
             "Martzu";/
    -        "Abrili";/
    -        "Mayu";/
    +        "Abrile";/
    +        "Maju";/
             "Làmpadas";/
    -        "Arjolas";/
    +        "Argiolas/Trìulas";/
             "Austu";/
             "Cabudanni";/
    -        "Ladàmini";/
    -        "Donnyasantu";/
    -        "Idas"
    +        "Santugaine/Ladàmine";/
    +        "Onniasantu/Santandria";/
    +        "Nadale/Idas"

https://sc.wikipedia.org/wiki/Santandria says:

“Santandrìa (o Donniasantu) est su de ùndighi mese de su calendàriu gregorianu.”

Is “Onniasantu” in your patch really the correct spelling or should it be “Donniasantu”
as in Wiktionary?

Wiktionary has at the bottom of the same page:

Meses de su calendàriu gregorianu
ghennàrgiu | freàrgiu | martzu | abrile | maju | làmpadas | trìulas/argiolas  | austu | cabudanni | santugaine/ladàmine | santandria/onniasantu | nadale/meseidas

So here I see the spelling “onniasantu”. Maybe both “donniasantu” and “onniasantu” is correct ...

Maybe the month names should start with lowercase?

Unless month names are always written with the first letter in uppercase in Sardinian, I think
the month names should be stored in lowercase in the glibc locale. That is also how CLDR does it.


     d_t_fmt "%a %d %b %Y %T %Z"
     d_fmt   "%d. %m. %y"
     t_fmt   "%T"
     am_pm   "";""
     t_fmt_ampm ""
    -date_fmt       "%a %b %e/
    - %H:%M:%S /
    -%Z %Y"
    +date_fmt       "%a %e %b/
    + %Y %H:%M:%S/
    + %Z"
     week	7;19971130;4
     first_weekday	2
     first_workday	2
Comment 7 Mike FABIAN 2017-07-20 06:24:07 UTC
Could you also add "yesstr" and "nostr" to your locale?
Comment 8 massimeddu 2017-07-20 08:18:11 UTC
The official spelling is “onniasantu”. The wiki page is wrong.

Sorry, i don't have the time to add "yesstr" and "nostr" now.
Comment 9 Mike FABIAN 2017-07-20 14:15:45 UTC
(In reply to massimeddu from comment #8)
> The official spelling is “onniasantu”. The wiki page is wrong.

OK, thank you!

> Sorry, i don't have the time to add "yesstr" and "nostr" now.

If you write the words for "yes" and "no" here, I can add it to
the patch for you.
Comment 10 Mike FABIAN 2017-07-20 14:16:40 UTC
How about starting the month names with lower case?
Comment 11 massimeddu 2017-07-20 14:18:45 UTC
(In reply to Mike FABIAN from comment #10)
> How about starting the month names with lower case?

(In reply to Mike FABIAN from comment #9)
> (In reply to massimeddu from comment #8)
> > The official spelling is “onniasantu”. The wiki page is wrong.
> 
> OK, thank you!
> 
> > Sorry, i don't have the time to add "yesstr" and "nostr" now.
> 
> If you write the words for "yes" and "no" here, I can add it to
> the patch for you.


Yes of course:

"yes" = "eja"
"no" = "nono"
Comment 12 massimeddu 2017-07-20 14:21:15 UTC
(In reply to Mike FABIAN from comment #10)
> How about starting the month names with lower case?

In sardinian the month names usually start with an upper case letter.
Comment 13 Mike FABIAN 2017-07-21 08:32:59 UTC
(In reply to massimeddu from comment #12)
> (In reply to Mike FABIAN from comment #10)
> > How about starting the month names with lower case?
> 
> In sardinian the month names usually start with an upper case letter.

OK, thank you!
Comment 14 cvs-commit@gcc.gnu.org 2017-07-21 10:51:26 UTC
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GNU C Library master sources".

The branch, master has been updated
       via  2d9b85e7e7b35b40682fdf8343ac0eccbae83985 (commit)
      from  77046c6153eb313e4f21a660fcb7e7060f71fd8a (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
https://sourceware.org/git/gitweb.cgi?p=glibc.git;h=2d9b85e7e7b35b40682fdf8343ac0eccbae83985

commit 2d9b85e7e7b35b40682fdf8343ac0eccbae83985
Author: Massimeddu Cireddu <massimeddu@gmail.com>
Date:   Fri Jul 21 11:01:51 2017 +0200

    Fix misspelled yesexpr/day/abday/mon/abmon/date_fmt fields in sc_IT
    
    	[BZ #12068]
    	* locales/sc_IT (LC_MESSAGES): Fix yesexpr and add yesstr and nostr.
    	* locales/sc_IT (LC_TIME): Fix mispelled day/abday/mon/abmon and
    	fix date_fmt.

-----------------------------------------------------------------------

Summary of changes:
 localedata/ChangeLog     |    7 ++++++
 localedata/locales/sc_IT |   55 ++++++++++++++++++++++++++--------------------
 2 files changed, 38 insertions(+), 24 deletions(-)
Comment 15 Mike FABIAN 2017-07-21 10:52:45 UTC
FIXED.